## ros-jazzy-image-view 5.0.1

=== debian/changelog ===
ros-jazzy-image-view (5.0.1-3bookworm) bookworm; urgency=high

  * unified changelog, add missing image, deduplicate tutorials (#938 <https://github.com/ros-perception/image_pipeline/issues/938>)
    Last bit of documentation updates - putting together a single changelog
    summary for the whole release (rather than scattering among packages).
    Unified the camera_info tutorial so it isn't duplicated. Added a missing
    image from image_rotate (was on local disk, but hadn't committed it)
  * add docs for image_rotate/publisher (#936 <https://github.com/ros-perception/image_pipeline/issues/936>)
  * migrate image_view docs (#934 <https://github.com/ros-perception/image_pipeline/issues/934>)
    * migrate docs from ROS wiki
    * FIX: video recorder start/end services should only be advertised when
    feature is enabled
    * FIX: image remapping didn't work as expected/documented in
    stereo_image_proc
  * default to encoding in the image message (#921 <https://github.com/ros-perception/image_pipeline/issues/921>)
    My camera is publishing rgb8 encoding - the existing code throws an
    error that 8UC3 is not a valid encoding, but if we pass rgb8 from the
    message then things work fine. The encoding in the image should always
    be more descriptive than just the bit and channel size.
    If encoding is not filled in, the existing behavior is used as a
    fallback
  * Update extract_images_sync to add sec_per_frame parameter (#920 <https://github.com/ros-perception/image_pipeline/issues/920>)
    Added sec_per_frame parameter to allow decimation of frames being
    synchronized and captured.
    fixes #726 <https://github.com/ros-perception/image_pipeline/issues/726>
    ---------
    Co-authored-by: Michael Ferguson <mailto:mfergs7@gmail.com>
  * Port extract_images_sync script to ROS 2 (#919 <https://github.com/ros-perception/image_pipeline/issues/919>)
    Change Description: The extract_images_sync python script was upgraded
    to ROS 2.
    Testing: Upgraded node tested against Iron on Ubuntu 22.04.3 LTS
    Issue: fixes #860 <https://github.com/ros-perception/image_pipeline/issues/860>
    ---------
    Co-authored-by: Alejandro Hernández Cordero <mailto:ahcorde@gmail.com>
    Co-authored-by: Michael Ferguson <mailto:mfergs7@gmail.com>
  * Contributors: Michael Ferguson, Siddharth Vaghela

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Mon, 25 Mar 2024 23:00:00 -0000

ros-jazzy-image-view (5.0.0-3bookworm) bookworm; urgency=high

  * remove the last bit of boost (#912 <https://github.com/ros-perception/image_pipeline/issues/912>)
    Last bit of #407 <https://github.com/ros-perception/image_pipeline/issues/407> - every other occurrence of "boost" when grepping the
    repo is in the changelog
  * Removed Boost dependency (#909 <https://github.com/ros-perception/image_pipeline/issues/909>)
    Removed Boost dependency. Related with
    https://github.com/ros-perception/image_pipeline/issues/407
    ---------
  * Removed cfg files related with ROS 1 parameters (#911 <https://github.com/ros-perception/image_pipeline/issues/911>)
    Removed cfg files related with ROS 1 parameters
  * image_view: consistent image_transport (#876 <https://github.com/ros-perception/image_pipeline/issues/876>)
    All of these nodes already have the proper remapping support - but
    image_transport parameter support was scattered
  * enable autosize parameter in disparity view (#875 <https://github.com/ros-perception/image_pipeline/issues/875>)
    appears to be bug left over from ROS 2 port
  * ROS 2: Add option to prepend timestamp to image filename in image_saver node (#870 <https://github.com/ros-perception/image_pipeline/issues/870>)
    Related to this PR in ROS 1
    https://github.com/ros-perception/image_pipeline/pull/806/files
    ---------
  * Add support for floating point fps (#866 <https://github.com/ros-perception/image_pipeline/issues/866>)
    Related with this PR
    https://github.com/ros-perception/image_pipeline/pull/723
    ---------
  * use cv::DestroyAllWindows (#863 <https://github.com/ros-perception/image_pipeline/issues/863>)
    This ports #816 <https://github.com/ros-perception/image_pipeline/issues/816> to ROS 2 and prevents weird exit conditions if you
    already closed the window
  * properly remap compressed topics (#851 <https://github.com/ros-perception/image_pipeline/issues/851>)
    ## Before:
    Pushing into namespace is broken, only image_raw changes (camera_info
    and transport topics should change):
    ```
    ros2 run image_publisher image_publisher_node --ros-args -p filename:=test.png -r image_raw:=foo/image_raw
    ---
    ros2 topic list
    /camera_info
    /foo/image_raw
    /image_raw/compressed
    /image_raw/compressedDepth
    /image_raw/theora
    ```
    ## After:
    Pushing into namespace now works:
    ```
    ros2 run image_publisher image_publisher_node --ros-args -p filename:=test.png -r image_raw:=foo/image_raw
    ---
    ros2 topic list
    /foo/camera_info
    /foo/image_raw
    /foo/image_raw/compressed
    /foo/image_raw/compressedDepth
    /foo/image_raw/theora
    ```
  * image_view: fix encoding, help string (#850 <https://github.com/ros-perception/image_pipeline/issues/850>)
    * encoding shouldn't be hard coded, pull it from the message
    * help string needs to be updated to proper parameter format
  * Improved Image view dynamic parameters description (#829 <https://github.com/ros-perception/image_pipeline/issues/829>)
  * add myself as a maintainer (#846 <https://github.com/ros-perception/image_pipeline/issues/846>)
  * feat: image_saver reports an error on file save
  * Contributors: Alejandro Hernández Cordero, Michael Ferguson, Russ Webber

 -- Vincent Rabaud <vincent.rabaud@gmail.com>  Tue, 23 Jan 2024 23:00:00 -0000

ros-jazzy-image-view (3.0.1-3bookworm) bookworm; urgency=high

  * Replace deprecated headers
    Fixing compiler warnings.
  * Contributors: Jacob Perron


